# Models

## The MetadataServerResponse object

```json
{"openapi":"3.0.3","info":{"title":"Data Plane","version":"2.0"},"components":{"schemas":{"MetadataServerResponse":{"title":"MetadataServerResponse","type":"object","description":"","properties":{"name":{"type":"string"},"version":{"type":"string"},"extensions":{"type":"array","items":{"type":"string"}}},"required":["name","version","extensions"]}}}}
```

## The MetadataModelResponse object

```json
{"openapi":"3.0.3","info":{"title":"Data Plane","version":"2.0"},"components":{"schemas":{"MetadataModelResponse":{"title":"MetadataModelResponse","type":"object","properties":{"name":{"type":"string"},"versions":{"type":"array","items":{"type":"string"}},"platform":{"type":"string"},"inputs":{"type":"array","items":{"$ref":"#/components/schemas/MetadataTensor"}},"outputs":{"type":"array","items":{"$ref":"#/components/schemas/MetadataTensor"}},"parameters":{"$ref":"#/components/schemas/Parameters"}},"required":["name","platform"]},"MetadataTensor":{"title":"MetadataTensor","type":"object","properties":{"name":{"type":"string"},"datatype":{"type":"string"},"shape":{"type":"array","items":{"type":"integer"}},"parameters":{"$ref":"#/components/schemas/Parameters"}},"required":["name","datatype","shape"]},"Parameters":{"type":"object","title":"Parameters","additionalProperties":true,"properties":{"content_type":{"type":"string"},"headers":{"type":"object"}}}}}}
```

## The MetadataServerErrorResponse object

```json
{"openapi":"3.0.3","info":{"title":"Data Plane","version":"2.0"},"components":{"schemas":{"MetadataServerErrorResponse":{"title":"MetadataServerErrorResponse","type":"object","properties":{"error":{"type":"string"}},"required":["error"]}}}}
```

## The MetadataTensor object

```json
{"openapi":"3.0.3","info":{"title":"Data Plane","version":"2.0"},"components":{"schemas":{"MetadataTensor":{"title":"MetadataTensor","type":"object","properties":{"name":{"type":"string"},"datatype":{"type":"string"},"shape":{"type":"array","items":{"type":"integer"}},"parameters":{"$ref":"#/components/schemas/Parameters"}},"required":["name","datatype","shape"]},"Parameters":{"type":"object","title":"Parameters","additionalProperties":true,"properties":{"content_type":{"type":"string"},"headers":{"type":"object"}}}}}}
```

## The MetadataModelErrorResponse object

```json
{"openapi":"3.0.3","info":{"title":"Data Plane","version":"2.0"},"components":{"schemas":{"MetadataModelErrorResponse":{"title":"MetadataModelErrorResponse","type":"object","properties":{"error":{"type":"string"}},"required":["error"]}}}}
```

## The InferenceRequest object

```json
{"openapi":"3.0.3","info":{"title":"Data Plane","version":"2.0"},"components":{"schemas":{"InferenceRequest":{"title":"InferenceRequest","type":"object","properties":{"id":{"type":"string"},"parameters":{"$ref":"#/components/schemas/Parameters"},"inputs":{"type":"array","items":{"$ref":"#/components/schemas/RequestInput"}},"outputs":{"type":"array","items":{"$ref":"#/components/schemas/RequestOutput"}}},"required":["inputs"]},"Parameters":{"type":"object","title":"Parameters","additionalProperties":true,"properties":{"content_type":{"type":"string"},"headers":{"type":"object"}}},"RequestInput":{"title":"RequestInput","type":"object","properties":{"name":{"type":"string"},"shape":{"type":"array","items":{"type":"integer"}},"datatype":{"type":"string"},"parameters":{"$ref":"#/components/schemas/Parameters"},"data":{"$ref":"#/components/schemas/TensorData"}},"required":["name","shape","datatype","data"]},"TensorData":{"title":"TensorData"},"RequestOutput":{"title":"RequestOutput","type":"object","properties":{"name":{"type":"string"},"parameters":{"$ref":"#/components/schemas/Parameters"}},"required":["name"]}}}}
```

## The Parameters object

```json
{"openapi":"3.0.3","info":{"title":"Data Plane","version":"2.0"},"components":{"schemas":{"Parameters":{"type":"object","title":"Parameters","additionalProperties":true,"properties":{"content_type":{"type":"string"},"headers":{"type":"object"}}}}}}
```

## The RequestInput object

```json
{"openapi":"3.0.3","info":{"title":"Data Plane","version":"2.0"},"components":{"schemas":{"RequestInput":{"title":"RequestInput","type":"object","properties":{"name":{"type":"string"},"shape":{"type":"array","items":{"type":"integer"}},"datatype":{"type":"string"},"parameters":{"$ref":"#/components/schemas/Parameters"},"data":{"$ref":"#/components/schemas/TensorData"}},"required":["name","shape","datatype","data"]},"Parameters":{"type":"object","title":"Parameters","additionalProperties":true,"properties":{"content_type":{"type":"string"},"headers":{"type":"object"}}},"TensorData":{"title":"TensorData"}}}}
```

## The TensorData object

```json
{"openapi":"3.0.3","info":{"title":"Data Plane","version":"2.0"},"components":{"schemas":{"TensorData":{"title":"TensorData"}}}}
```

## The RequestOutput object

```json
{"openapi":"3.0.3","info":{"title":"Data Plane","version":"2.0"},"components":{"schemas":{"RequestOutput":{"title":"RequestOutput","type":"object","properties":{"name":{"type":"string"},"parameters":{"$ref":"#/components/schemas/Parameters"}},"required":["name"]},"Parameters":{"type":"object","title":"Parameters","additionalProperties":true,"properties":{"content_type":{"type":"string"},"headers":{"type":"object"}}}}}}
```

## The ResponseOutput object

```json
{"openapi":"3.0.3","info":{"title":"Data Plane","version":"2.0"},"components":{"schemas":{"ResponseOutput":{"title":"ResponseOutput","type":"object","properties":{"name":{"type":"string"},"shape":{"type":"array","items":{"type":"integer"}},"datatype":{"type":"string"},"parameters":{"$ref":"#/components/schemas/Parameters"},"data":{"$ref":"#/components/schemas/TensorData"}},"required":["name","shape","datatype","data"]},"Parameters":{"type":"object","title":"Parameters","additionalProperties":true,"properties":{"content_type":{"type":"string"},"headers":{"type":"object"}}},"TensorData":{"title":"TensorData"}}}}
```

## The InferenceResponse object

```json
{"openapi":"3.0.3","info":{"title":"Data Plane","version":"2.0"},"components":{"schemas":{"InferenceResponse":{"title":"InferenceResponse","type":"object","properties":{"model_name":{"type":"string"},"model_version":{"type":"string"},"id":{"type":"string"},"parameters":{"$ref":"#/components/schemas/Parameters"},"outputs":{"type":"array","items":{"$ref":"#/components/schemas/ResponseOutput"}}},"required":["model_name","outputs"]},"Parameters":{"type":"object","title":"Parameters","additionalProperties":true,"properties":{"content_type":{"type":"string"},"headers":{"type":"object"}}},"ResponseOutput":{"title":"ResponseOutput","type":"object","properties":{"name":{"type":"string"},"shape":{"type":"array","items":{"type":"integer"}},"datatype":{"type":"string"},"parameters":{"$ref":"#/components/schemas/Parameters"},"data":{"$ref":"#/components/schemas/TensorData"}},"required":["name","shape","datatype","data"]},"TensorData":{"title":"TensorData"}}}}
```

## The InferenceErrorResponse object

```json
{"openapi":"3.0.3","info":{"title":"Data Plane","version":"2.0"},"components":{"schemas":{"InferenceErrorResponse":{"title":"InferenceErrorResponse","type":"object","properties":{"error":{"type":"string"}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.seldon.ai/seldon-core-2/user-guide/v2/rest/models.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
